#ifndef WORK20220325_PERSON_H
#define WORK20220325_PERSON_H

#include <string>
#include "../../date/Date.h"

class Person {
protected:
    std::string id;
    std::string name;
    char sex;
    std::string identNumber;
    Date birthday;
public:
    const static char SEX_MALE = 'M';
    const static char SEX_FEMALE = 'F';

    Person(const std::string &id, const std::string &name, char sex, const std::string &identNumber,
           const Date &birthday);

    Person() = delete;

    Person(const Person &person);

    virtual std::string toString();
};


#endif //WORK20220325_PERSON_H
