#ifndef WORK20220325_GRADUATE_H
#define WORK20220325_GRADUATE_H

#include "Student.h"
#include "../teachers/Teacher.h"

class Graduate : public Student {
protected:
    std::string subject;
    Teacher adviser;
public:
    Graduate() = delete;

    Graduate(const std::string &id, const std::string &name, char sex, const std::string &identNumber,
             const Date &birthday, int classId, const std::string &subject, const Teacher &adviser, const Person &person);

    Graduate(const Graduate &graduate);

    Graduate(int classId, const Person &person, const std::string &subject, const Teacher &adviser);

    std::string toString();
};


#endif //WORK20220325_GRADUATE_H
