#ifndef WORK20220325_STUDENT_H
#define WORK20220325_STUDENT_H


#include "../base/Person.h"

class Student : virtual public Person {
protected:
    int classId;

public:
    Student() = delete;

    Student(int classId, const Person &person);

    Student(const Student &student);

    Student(const std::string &id, const std::string &name, char sex, const std::string &identNumber,
            const Date &birthday, int classId);

    int getClassId() const;

    void setClassId(int classId);

    std::string toString();
};


#endif //WORK20220325_STUDENT_H
