//
// Created by lensferno on 2022/3/30.
//

#include <sstream>
#include "Leader.h"

Leader::Leader(const std::string &name, char sex, const std::string &phone, const Date &birthday,
               const std::string &job) : Staff(name, sex, phone, birthday), job(job) {}

Leader::Leader(const Staff &staff, const std::string &job) : Staff(staff), job(job) {}

std::string Leader::toString() {
    std::stringstream out;
    out
            << Staff::toString() << '\n'
            << "job: " << job << '\n';
    return out.str();
}

Leader::Leader(const Leader &leader) : Staff(leader), job(leader.job) {}
