//
// Created by lensferno on 2022/3/30.
//

#include <sstream>
#include "Staff.h"

Staff::Staff(const std::string &name, char sex, const std::string &phone, const Date &birthday) :
        name(name), sex(sex), phone(phone),
        birthday(birthday) {}

Staff::Staff(const Staff &staff) : name(staff.name), sex(staff.sex), phone(staff.phone), birthday(staff.birthday) {}

std::string Staff::toString() {
    std::stringstream output;
    output
            << "name: " << name << '\n'
            << "sex: " << sex << '\n'
            << "phone: " << phone << '\n'
            << "birthday: " << birthday.toString();
    return output.str();
}

