#include <iostream>
#include <sstream>
#include "Person.h"

Person::Person(const std::string& id, const std::string &name, char sex, const std::string &identNumber,
               const Date &birthday) : id(id), name(name), sex(sex), identNumber(identNumber), birthday(birthday) {}

Person::Person(const Person &person) : id(person.id), name(person.name), sex(person.sex),
                                       identNumber(person.identNumber),
                                       birthday(person.birthday) {}

std::string Person::toString() {
    std::stringstream output;
    output
            << "ţ" << id << '\n'
            << "" << name << '\n'
            << "Ա" << sex << '\n'
            << "֤ţ" << identNumber << '\n'
            << "ڣ" << birthday.toString();

    return output.str();
}
